View aggregate product data for A single deployed product

View aggregate product data for A single deployed product
View aggregate product data for a single deployed product

View aggregate product data for a single deployed product

Request
URI
GET
https://{opsmanager-installation}/api/v1/deployed/products/{product_guid}
COPY
Path Parameters
string
product_guid
Required

The guid of the product

Query Parameters
boolean
redact
Optional

(Optional) If set to 'false', the response will include IaaS-specific secrets.


Responses
200

OK

Returns AggregatedProductDataV1 of type(s) application/json
{
    "availability_zones": [
        {
            "name": "string",
            "guid": "string",
            "iaas_configuration_guid": "string",
            "iaas_identifier": "string",
            "clusters": [
                {
                    "guid": "string",
                    "cluster": "string",
                    "resource_pool": "string",
                    "host_group": "string",
                    "drs_rule": "string"
                }
            ]
        }
    ],
    "errands": [
        {
            "name": "string",
            "label": "string",
            "impact_warning": "string"
        }
    ],
    "max_in_flight": {
        "max_in_flight": 0
    },
    "icmp_checks_enabled": false,
    "networks": [
        {
            "guid": "string",
            "name": "string",
            "subnets": [
                {
                    "guid": "string",
                    "iaas_identifier": "string",
                    "cidr": "string",
                    "dns": "string",
                    "gateway": "string",
                    "reserved_ip_ranges": "string",
                    "availability_zone_names": [
                        "string"
                    ]
                }
            ]
        }
    ],
    "networks_and_azs": {
        "network": {
            "name": "string"
        },
        "service_network": {}
    },
    "installation_name": "string",
    "guid": "string",
    "type": "string",
    "product_version": "string",
    "product_template_name": "string",
    "label": "string",
    "service_broker": false,
    "bosh_read_creds": false,
    "license_metadata": [
        {
            "expiry": "string",
            "product_name": "string",
            "product_version": "string",
            "property_reference": "string"
        }
    ],
    "supports_parallel_deploys": false,
    "deploy_in_parallel": false,
    "bosh_uaa_clients": [
        {
            "name": "string",
            "authorities": "string"
        }
    ],
    "iaas_configurations": [
        {
            "guid": "string",
            "name": "string",
            "iaas_type": "string",
            "additional_cloud_properties": {},
            "access_key_id": "string",
            "secret_access_key": "string",
            "iam_instance_profile": "string",
            "security_group": "string",
            "key_pair_name": "string",
            "ssh_private_key": "string",
            "region": "string",
            "disk_type": "string",
            "encrypted": false,
            "kms_key_arn": "string",
            "require_imds_v2": false,
            "vm_type_catalog_name": "string"
        }
    ],
    "syslog_configuration": {
        "enabled": false,
        "address": "string",
        "transport_protocol": "string",
        "queue_size": 0,
        "tls_enabled": false,
        "permitted_peer": "string",
        "ssl_ca_certificate": "string",
        "environment": "string",
        "forward_debug_logs": false,
        "custom_rsyslog_configuration": "string"
    },
    "properties": {
        "properties": {
            "configurable": false,
            "optional": false,
            "credential": false,
            "type": "string",
            "value": "string"
        }
    },
    "jobs": [
        {
            "instance_type": {
                "id": "string"
            },
            "persistent_disk": {
                "name": "string",
                "size_mb": "string"
            },
            "additional_vm_extensions": [
                "string"
            ],
            "additional_networks": [
                {
                    "guid": "string"
                }
            ],
            "internet_connected": false,
            "elb_names": [
                "string"
            ],
            "nsxt": {
                "ns_groups": [
                    "string"
                ],
                "vif_type": "string",
                "lb": {
                    "server_pools": [
                        {
                            "name": "string"
                        }
                    ]
                }
            },
            "avi": {
                "pools": [
                    "string"
                ]
            },
            "floating_ips": "string",
            "guid": "string",
            "name": "string"
        }
    ]
}
array of iaas_configurations
iaas_configurations
Optional

iaas_configurations

syslog_configuration
Required

syslog_configuration

object
properties
Required

properties

array of jobs
jobs
Required

List of jobs with their resource config


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product not found

Returns SingleErrorsResponseVariant of type(s) application/json
{
    "errors": "string"
}
string
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/deployed/products/{product_guid}